function matlab_ODE()

% ===Import X values from the table in the compResult folder=== 
num_iter=0;
point_index=1;

currentDir='/Users/yaoki/Documents/180719_CNM_handson/softwareTest';
X=csvread(strcat(currentDir,'/compResult/X_',num2str(num_iter), '.csv'));


global x1 

x1=X(point_index,1);

% ===Convert the X values to the oritinal parameter scale and construct parameters object for the ODE solve===

constant=10^(x1);


% ===Initialise infusion rate vector===
%MODIFY lines below to define any infusion administration

global infRate_x

 infRate_x=0;



% ===Initialise state vector (ODE variables)===
%MODIFY line below to define any bolus administration
u_init =[0];


obsTime=[1,2];%MODIFY this line to specify the observation time
doseTime=0;%MODIFY this line to specify the dose time

[t,u] = ode15s(@RHS, [doseTime obsTime],u_init );  %SOLVING ODE

end

function [out]=RHS(t,u)

% ===Convert the X values to the oritinal parameter scale and construct parameters object for the ODE solve===

global x1 

constant=10^(x1);


x=u(1);

global infRate_x

out(1)=constant+infRate_x;

out=out';

end